## dpkg 1.16.1

=== debian/changelog ===
dpkg (1.16.1) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Dpkg::Deps: Implement new "reset" method and bump module version to 1.01
    due to this.
  * Improved description of --search in dpkg-query(1). Closes: #621066
    Thanks to Lars Buitinck <larsmans@gmail.com> for the patch.
  * Let update-alternatives fsync() its administrative files before
    moving them in place to avoid empty files with some filesystems.
    LP: #344019
  * Tighten the regexp used by dpkg-source to ignore the .pc directory of
    quilt. Thanks to Mike Hommey for noticing the problem.
  * Change behaviour of dpkg-source's --extend-diff-ignore to also
    extend the current diff-ignore if it has already been set.
  * Fix dependency checking code to consider a dependency on a virtual
    package provided by a package in triggers-pending status as satisfied.
  * Do not fail when encountering a pre-dependency in triggers-awaited state,
    instead process the awaited triggers. Closes: #526774
  * "any" no longer hides "all" in the Architecture field of a .dsc.
  * Fix dpkg --remove to really remove the triggers from the various
    internal files in /var/lib/dpkg/info/triggers/. Closes: #525160
  * Avoid a perl warning in dpkg-gensymbols when no symbols file has been
    generated (because it would have been empty). Closes: #626684
  * Re-enable the Package-List field but drop the Architecture column since we
    have no clear use case yet. It can always be added later on.
    Also drop the source line since it duplicates other fields.
    Closes: #619131
  * Add the extraction part of Dpkg::Source::Package to the supported API.
    Useful to extract source packages without having to depend on dpkg-source
    (and hence dpkg-dev).
  * Add the Dpkg::Vendor module to the supported API. Useful for lintian
    when dpkg-dev is absent.
  * Check presence of required parameters in dpkg-vendor. Closes: #628726
    Thanks to Niels Thykier <niels@thykier.net> for the patch.
  * Avoid a Perl warning in dpkg-buildflags when HOME is not set.
    Closes: #635467
  * dpkg-source can now also use debian/source/local-patch-header (that is not
    included in the generated source package) instead of
    debian/source/patch-header. Closes: #629582
  * Changed dpkg-source --after-build to automatically unapply patches that it
    has applied during --before-build.
  * Fix two possible causes for the assertion failure "pigp->trigpend_head".
    LP: #798793, #424358 Closes: #560251
  * Use "special" instead of "particular" to qualify the "3.0 (custom)" format
    in dpkg-source(1). Closes: #631435
  * Add some supplementary checks to ensure debian/control has the required
    fields. Closes: #631439
  * dpkg-gensymbols(1): document syntax of comments. Closes: #630996
  * Allow empty lines in symbols files to better delimit multiple libraries.
    Thanks to Cyril Brulebois <kibi@debian.org> for the patch.
  * dpkg: if "prerm upgrade" fails when downgrading, do not try to run
    "prerm failed-upgrade" with the prerm of the oldest prerm, it can't work
    around a bug of a newer prerm anyway.
  * dpkg: support new "interest-noawait" and "activate-noawait" trigger
    directives.
  * dpkg-buildflags(1): make it clear that DEB_*_(SET|APPEND) environment
    variables are meant for users and should not be used by packages.
  * update-alternatives: do not allow to reuse a slave link in another
    slave alternative. Closes: #631547
  * Improve dpkg-source's logic to identify ignored files. Closes: #632168
  * Fix a small typo in dpkg-source(1). Closes: #632937
  * Reword the description of dpkg-source --before-build and --after-build
    to be clearer. Closes: #608260
  * dpkg-buildpackage no longer exports the compiler flags. Closes: #560070
    Packages must directly call dpkg-buildflags to retrieve them.
  * dpkg-buildflags supports a prepend command to modify the build
    flags. Particularly useful for package maintainers who don't want
    their supplementary flags to take precedence over user submitted
    flags.
  * Add new --dump action to dpkg-buildflags and make it the default action.
    Closes: #603435
  * dpkg-mergechangelogs now checks the return value of the close() call.
    Thanks to Niels Thykier <niels@thykier.net> for the patch. Closes: #633539
  * Similar changes to dpkg-shlibdeps and dpkg-gencontrol, also by Niels.
  * Fix update-alternatives to not remove a real file when dropping a
    symlink for a slave that's not provided by the new current choice.
    Closes: #633627
  * Improve dpkg-source's error message complaining about the lack
    of the upstream tarball. Closes: #634510
  * Add some common makefile snippets for use in rules files in
    /usr/share/dpkg/: default.mk, architecture.mk, buildflags.mk, pkg-info.mk,
    vendor.mk Closes: #606839
  * Fix the dpkg-divert test-suite to also skip test that would fail if run
    under root. Closes: #634961
  * Change merge conflict separators created by dpkg-mergechangelogs to match
    the usual norm of being composed of 7 characters. LP: #815700
  * With source format 2.0 and 3.0 (quilt), dpkg-source now fails by default
    when upstream changes have not been recorded in a quilt patch. The new
    --commit operation can be used to properly record the changes before-hand.
    LP: #797839
    And it fails before installing the automatic patch in debian/patches/
    Closes: #615899
  * dpkg-buildflags now supports "--export=configure" to output compilation
    flags on a single line with double quotes as delimiter of the various
    values. It also uses DEB_<flag>_MAINT_<op> to let the maintainer
    extend the build flags to use. Last but not least, it can now also strip
    options from the returned build flags.
  * Fix possible segfault of dpkg in findbreakcycle(). LP: #733414
  * dpkg-source now properly cleans up the temporary tarball generated for
    native formats in case of unexpected interruption. Closes: #631494

