## dpkg 1.16.1.2

=== debian/changelog ===
dpkg (1.16.1.2) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Fix another typo to correctly set DEB_*_ARCH_BITS in architecture.mk.
  * Set urgency to medium as changes are minor, and it should migrate
    quickly in case 1.16.2 comes soon.

  [ Jonathan Nieder ]
  * Update dpkg-buildflags(1) to note that the processor option
    -D_FORTIFY_SOURCE=2 is set in CPPFLAGS now instead of CFLAGS and
    CXXFLAGS. Closes: #646073

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 25 Nov 2011 11:18:30 +0100
