## dpkg 1.16.1.2ubuntu7

=== debian/changelog ===
dpkg (1.16.1.2ubuntu7) precise; urgency=low

  * Apply missing patch from upstream to let dselect's resolver deal
    with multi-arch Provides in the same way as dpkg (LP: #853679)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 Apr 2012 16:59:09 -0600

dpkg (1.16.1.2ubuntu6) precise; urgency=low

  * Build-depend on gettext:any for cross-building support.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 08 Apr 2012 23:22:31 +0100

dpkg (1.16.1.2ubuntu5) precise; urgency=low

  * New version of previous patch, many thanks Raphaël Hertzog! (LP: #902603)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Dec 2011 11:23:51 +0100

dpkg (1.16.1.2ubuntu4) precise; urgency=low

  * dpkg: Do not try to disappear other packages from the same set. Packages
    within a set can rightfully share files and should not be disappeared in
    the case where they share all the files. Many thanks to Raphaël Hertzog
    for the fix! (Closes: #652063, LP: #902603)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Dec 2011 11:33:28 +0100

dpkg (1.16.1.2ubuntu3) precise; urgency=low

  * Don't perform is_armhf tests in parse_objdump_output() unless
    we have a file handle defined.  This is an impossible situation
    at runtime, but trips up the testsuite oprtating on fake data.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 15:46:35 -0700

dpkg (1.16.1.2ubuntu2) precise; urgency=low

  * Apply patch from Steve McIntyre to special-case armhf/armel ELF
    objects in Shlibs/Objdump.pm, so we don't get incorrect deps.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 12:24:40 -0700

dpkg (1.16.1.2ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Merge from git://git.debian.org/users/hertzog/dpkg.git
      pu/multiarch/full for multiarch support.
    - On upgrade from 1.16.0~ubuntu[1-3], if /var/lib/dpkg/info/$arch is a
      directory, migrate the contents to var/lib/dpkg/info; and handle the
      reverse on downgrade.  This does not handle metadata for packages of
      foreign architectures.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.  This is useful for tools
      that hide the dpkg terminal by default and use apport for bug
      reporting with the untranslated error message.
    - Add /etc/dpkg/dpkg.cfg.d/multiarch as a conffile on amd64, so that
      users are guaranteed to always have it after upgrade even if they
      don't use update-manager for the upgrade itself.
    - Continue exporting compiler flags in dpkg-buildpackage until after
      Ubuntu 12.04 LTS.
    - Add Pre-Depends on tar >= 1.23 (satisfied in stable) to dpkg due to it
      using the ‘--warning=no-timestamp’ option.
    - Strip -Werror=format-security from the flags exported to the
      environment from dpkg-buildpackage.
    - Don't export build flags for packages using debhelper compat level 9
      or above.
    - Mark dpkg-dev and libdpkg-perl as Multi-Arch foreign. Closes: #648217

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Nov 2011 09:49:08 +0000

dpkg (1.16.1.1ubuntu3) precise; urgency=low

  * Backport from upstream:
    - Mark dpkg-dev and libdpkg-perl as Multi-Arch foreign. Closes: #648217

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 12 Nov 2011 14:54:29 +0000

dpkg (1.16.1.1ubuntu2) precise; urgency=low

  * Don't export build flags for packages using debhelper compat level 9 or
    above.  This is a layering violation which will go away after 12.04 (see
    https://lists.ubuntu.com/archives/ubuntu-devel/2011-November/034351.html).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Nov 2011 15:36:14 -0400

dpkg (1.16.1.1ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Merge from git://git.debian.org/users/hertzog/dpkg.git
      pu/multiarch/full for multiarch support.
    - On upgrade from 1.16.0~ubuntu[1-3], if /var/lib/dpkg/info/$arch is a
      directory, migrate the contents to var/lib/dpkg/info; and handle the
      reverse on downgrade.  This does not handle metadata for packages of
      foreign architectures.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.  This is useful for tools
      that hide the dpkg terminal by default and use apport for bug
      reporting with the untranslated error message.
    - Add /etc/dpkg/dpkg.cfg.d/multiarch as a conffile on amd64, so that
      users are guaranteed to always have it after upgrade even if they
      don't use update-manager for the upgrade itself.
    - Continue exporting compiler flags in dpkg-buildpackage until after
      Ubuntu 12.04 LTS.
    - Add Pre-Depends on tar >= 1.23 (satisfied in stable) to dpkg due to it
      using the ‘--warning=no-timestamp’ option.
  * Strip -Werror=format-security from the flags exported to the environment
    from dpkg-buildpackage.  This causes too many failures (including silent
    failures in configure tests), and removing it is not a regression from
    any released version of Ubuntu.  It is still included in the normal
    output of dpkg-buildflags.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Oct 2011 09:49:56 +0100

dpkg (1.16.1ubuntu2) precise; urgency=low

  * Cherry-pick from trunk:
    - Add Pre-Depends on tar >= 1.23 (satisfied in stable) to dpkg due to it
      using the ‘--warning=no-timestamp’ option. Closes: 642802, LP: #878960

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Oct 2011 18:56:21 +0100

dpkg (1.16.1ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Merge from git://git.debian.org/users/hertzog/dpkg.git
      pu/multiarch/full for multiarch support.
    - On upgrade from 1.16.0~ubuntu[1-3], if /var/lib/dpkg/info/$arch is a

