## dpkg 1.16.1.2ubuntu7.1

=== debian/changelog ===
dpkg (1.16.1.2ubuntu7.1) precise; urgency=low

  * Include aarch64 support in cputable for arm64 port (LP: #1096986)
  * Add support for an abitable containing arch attribute overrides.
  * Add x32 support to abitable, ostable, triplettable (LP: #1096990)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 07 Jan 2013 11:39:08 -0700
