=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
@@ -10,7 +11,7 @@
 Vcs-Git: git://git.debian.org/git/dpkg/dpkg.git
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), pkg-config, flex,
- gettext (>= 0.18), po4a (>= 0.36.4),
+ gettext:any (>= 0.18), po4a (>= 0.36.4),
  zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev,
  libselinux1-dev (>= 1.28-4) [linux-any],
  libncursesw5-dev,
@@ -30,8 +31,9 @@
 
 Package: dpkg
 Architecture: any
+Multi-Arch: foreign
 Essential: yes
-Pre-Depends: ${shlibs:Depends}, coreutils (>= 5.93-1), xz-utils
+Pre-Depends: ${shlibs:Depends}, coreutils (>= 5.93-1), tar (>= 1.23), xz-utils
 Depends: ${misc:Depends}
 Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
  apt (<< 0.7.7), aptitude (<< 0.4.7-1),
@@ -49,6 +51,7 @@
 Section: utils
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Depends: libdpkg-perl (= ${source:Version}), bzip2, xz-utils,
  patch, make, binutils, base-files (>= 5.0.0), ${misc:Depends}
 Recommends: gcc | c-compiler, build-essential, fakeroot, gnupg, gpgv, libalgorithm-merge-perl
@@ -65,6 +68,7 @@
 Section: perl
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Depends: dpkg (>= 1.15.8), perl, libtimedate-perl, ${misc:Depends}
 Recommends: bzip2, xz-utils
 Suggests: debian-keyring, gnupg, gpgv, binutils, patch
@@ -98,6 +102,7 @@
 Package: dselect
 Priority: optional
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, dpkg (>= 1.13.1), ${misc:Depends}
 Suggests: perl
 Conflicts: dpkg-ftp, dpkg-multicd
