=== debian/rules ===
--- 
+++ 
@@ -84,6 +84,9 @@
 	dh_testdir -a
 	dh_testroot -a
 	dh_install --sourcedir=debian/tmp -a
+ifeq ($(DEB_HOST_GNU_TYPE),x86_64-linux-gnu)
+	echo 'foreign-architecture i386' > $(CURDIR)/debian/dpkg/etc/dpkg/dpkg.cfg.d/multiarch
+endif
 	dh_installcron -a
 	dh_installlogrotate -a
