## dpkg 1.16.1.2ubuntu7.7

=== debian/changelog ===
dpkg (1.16.1.2ubuntu7.7) precise-security; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - dpkg-deb/extract.c: Fix off-by-one write access on versionbuf
      variable.
    - dpkg-deb/extract.c: Fix off-by-one write access on ctrllenbuf
      variable. (CVE-2015-0860)
    - lib/dpkg/ar.c: Fix an off-by-one read access in ar member name
      variable.
    - Thanks to Guillem Jover and Hanno Böck for the patches!

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Nov 2015 07:40:52 -0500

dpkg (1.16.1.2ubuntu7.6) precise-security; urgency=medium

  * SECURITY UPDATE: OpenPGP Armor Header Line parsing issue
    - scripts/Dpkg/Control/{Hash,Package}.pm: adjust parsing logic.
    - scripts/Makefile.*, scripts/t/700_Dpkg_Control.t,
      scripts/t/700_Dpkg_Control/*: added bunch of tests.
    - Patch thanks to Guillem Jover
    - CVE-2015-0840

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Apr 2015 09:22:25 -0400

dpkg (1.16.1.2ubuntu7.5) precise-security; urgency=medium

  * SECURITY UPDATE: arbitrary file modification via dpkg-source
    - scripts/Dpkg/Source/Patch.pm: Use a better regex for patch header
      parsing
    - 5348cbc981a65c3c9b05bb4d13553bda930c2d78
    - CVE-2014-3864
    - CVE-2014-3865

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Jun 2014 13:00:47 -0400

dpkg (1.16.1.2ubuntu7.4) precise-security; urgency=medium

  * SECURITY UPDATE: directory traversal in dpkg-source
    - scripts/Dpkg/Source/Patch.pm: outright reject C-style filenames in
      patches
    - a12eb58959d0a10584a428f4a3103a49204c410f
    - CVE-2014-0471

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 May 2014 08:04:51 -0400

dpkg (1.16.1.2ubuntu7.3) precise-security; urgency=medium

  * SECURITY UPDATE: directory traversal in dpkg-source
    - scripts/Dpkg/Source/Patch.pm: correctly parse C-style diff
      filenames.
    - Patch thanks to Guillem Jover <guillem@debian.org>
    - CVE-2014-0471

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Apr 2014 19:50:50 -0400

dpkg (1.16.1.2ubuntu7.2) precise; urgency=low

  * scripts/Dpkg/Shlibs/Objdump.pm: Adjust the ARM special-casing in
    dpkg-shlibdeps to try ELF ABI flags before arch tag (LP: #1187722)
  * Include powerpc64le support in cputable for ppc64el (LP: #1239595)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 14 Oct 2013 10:42:53 +0100
