## dpkg 1.16.1.2ubuntu7.8

=== debian/changelog ===
dpkg (1.16.1.2ubuntu7.8) precise; urgency=medium

  * Backport from Debian (LP: #1587667):
    - Allow detached upstream signatures for upstream orig.tar files in the
      .dsc file. Suggested by Daniel Kahn Gillmor <dkg@fifthhorseman.net>.
      Closes: #759478
    - Allow detached upstream orig tarball signatures when extracting
      version 1.0 non-native source packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Jun 2016 19:22:53 +0100
