## dpkg 1.16.1.2ubuntu7.9

=== debian/changelog ===
dpkg (1.16.1.2ubuntu7.9) precise-security; urgency=medium

  * Fix physical file offset comparison in dpkg. Closes: #808912
    Thanks to Yuri Gribov <tetra2005@gmail.com>.
    - adbdfb0dd9cec401609fd3eef232b7ff2153db7f
  * Do not segfault on GNU/Linux when dpkg cannot retrieve the block size
    for the filesystem containing the info database. LP: #872734
    - 916bdba9095bd361cb2bccd6f566ecffdb206193

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 07 Feb 2020 13:54:00 +0000
