## dpkg 1.16.2~really1.16.1.2

=== debian/changelog ===
dpkg (1.16.2~really1.16.1.2) experimental; urgency=low

  * Revert unapproved NMU.

 -- Guillem Jover <guillem@debian.org>  Tue, 31 Jan 2012 21:58:08 +0100
