## dpkg 1.16.2~wipmultiarch

=== debian/changelog ===
dpkg (1.16.2~wipmultiarch) experimental; urgency=low

  This is a WIP release, command line interfaces *will* change.

  [ Guillem Jover ]
  * Move <config.h> and <compat.h> to the top of trigdeferred.l to properly
    use the configured features and compat code.
  * Honour --disable-nls when the system lacks obstack support, by updating
    the obstack compat module from gnulib.
  * Link the libdpkg unit tests with libcompat and libintl, so that systems
    needing them will compile correctly.
  * Check for the presence of the strnlen declaration and correctly provide
    the compat one in case the systems lacks it.
  * Do not assume existence of paths on the build system in the test suite.
  * Do not fail to link dselect on MacOS X when using --disable-nls.
  * Remove versioned coreutils Pre-Depends from dpkg due to the ancient
    md5sum transition. Reported by Bill Allombert <ballombe@debian.org>.
    Closes: #643746
  * Change dpkg-architecture to only compute the requested variables. This:
    - Fixes the bootstrapping problem, as the dpkg build system only needs
      the host architecture, for which dpkg itself is not required.
    - Reduces the amount of work performed, including loading and parsing
      unnecessary table files or calling either of gcc or dpkg programs.
  * Improve error message in dpkg-gencontrol and dpkg-gensymbols when
    debian/control does not have any package stanza. Closes: #642473
    Based on a patch by Kyle Willmon <kylewillmon@gmail.com>.
  * Add Pre-Depends on tar >= 1.23 (satisfied in stable) to dpkg due to it
    using the ‘--warning=no-timestamp’ option. Closes: #642802
  * Do not segfault on GNU/Linux when dpkg cannot retrieve the block size
    for the filesystem containing the info database. LP: #872734
  * Fix two memory leaks per tar entry in the tar extractor used on unpack.
  * Mark dpkg and dselect as Multi-Arch foreign.
    Reported by Steve Langasek <vorlon@debian.org>.
  * Mark dpkg-dev and libdpkg-perl as Multi-Arch foreign. Closes: #648217
    Thanks to Colin Watson <cjwatson@ubuntu.com>.
  * Add new deb-origin.5 man page. Closes: #608884
    Thanks to Matt Kraai <kraai@ftbfs.org>.
  * Return correct status on start-stop-daemon --status when using --pidfile.
  * Treat dpkg-deb compression level independently for each backend. This
    has the effect of changing the current behaviour for level 0 on all
    compressors except gzip.
  * Add new dpkg-deb -S option to specify the compression strategy. The only
    currently supported value is “extreme” for xz. Closes: #647915
  * Stop using brace expansion to install man pages by using dh_installman
    instead of dh_install, the former does not abort on empty glob expansion.
  * Do not use absolute paths for programs in perl and shell code.
  * Add missing ‘*’ in asprintf() and vasprintf() compat declarations.
  * Add support for virtual output binary:Summary and db:Status-Abbrev fields.
    Closes: #192619, #427945
  * Add support for virtual output source:Package and source:Version fields.
    Closes: #653575
  * Use a different temporary file per process on libcompat's vsnprintf()
    function to avoid race conditions from children after fork(3).
    Reported by Daniel Ruoso <daniel@ruoso.com>. Closes: #655411
  * Fix start-stop-daemon --exec and --name options on FreeBSD, NetBSD and
    OpenBSD by swapping the process matching implementations.
  * Fix start-stop-daemon --name option on GNU/Hurd to match the process name.
  * Document in more detail the implications of start-stop-daemon matching
    options. Closes: #367608
  * Improve and clarify dpkg-shlibdeps superfluous linking warning messages.
    Based on a patch by Peter Eisentraut <petere@debian.org>. Closes: #656496

  [ Raphaël Hertzog ]
  * Update Dpkg::Shlibs to look into multiarch paths when cross-building
    too. Closes: #595144
  * Rewrite architecture.mk with explicit loops instead of duplicating many
    similar lines. Based on a patch by Thorsten Glaser <tg@mirbsd.de>.
  * Modify dpkg-gencontrol and dpkg-distaddfile to grab a write lock
    on debian/control before updating debian/files to avoid simultaneous
    updates. Closes: #642608
    Add libfile-fcntllock-perl to dpkg-dev's Depends since we use this module
    to handle the locking.
  * Update dpkg-gensymbols(1) to clarify that -e accepts shell patterns
    expansions and not regular expressions. And let dpkg-gensymbols output a
    warning when a pattern doesn't match any file. Closes: #649248
  * Add new option "-a <arch>" to dpkg-checkbuilddeps to check build
    dependencies for another architecture. This is really basic for now since
    it assumes all build dependencies must be satisfied on the listed
    architecture. Closes: #648180 Thanks to Colin Watson for the patch.
  * Error out if a dpkg database .list file is not a regular file. LP: #369898
  * Fix dpkg-mergechangelogs to not error out on invalid versions.
    Closes: #651993
  * Fix dpkg-source --commit on "3.0 (quilt)" when an explicit patch file
    is given with a relative filename. Closes: #652414
  * Further clarify in dpkg-source(1) the conditions under which it's possible
    to pass an explicit patch file to dpkg-source --commit.
  * Add new --query-features command to dpkg-buildflags. Thanks to Kees Cook
    for the patch. Closes: #651481
  * Fix description of Multi-Arch in deb-control(5). Closes: #654453
    Thanks to Jakub Wilk for spotting the mistake.
  * Drop misleading spaces in deb-symbols(5) in the format description.
  * Clean up dpkg-architecture(1) dropping useless information and
    adding a reference to /usr/share/dpkg/architecture.mk.
  * Update dpkg-buildpackage to use the "build-arch" (for -B) and
    "build-indep" (for -A) targets unless "make -qn" says that they do not
    exist. Closes: #229357

  [ Jonathan Nieder ]
  * Bump po4a version in Build-Depends to 0.41, since earlier versions do
    not handle --srcdir correctly. Closes: #644370


