=== debian/rules ===
--- 
+++ 
@@ -84,9 +84,6 @@
 	dh_testdir -a
 	dh_testroot -a
 	dh_install --sourcedir=debian/tmp -a
-ifeq ($(DEB_HOST_GNU_TYPE),x86_64-linux-gnu)
-	echo 'foreign-architecture i386' > $(CURDIR)/debian/dpkg/etc/dpkg/dpkg.cfg.d/multiarch
-endif
 	dh_installcron -a
 	dh_installlogrotate -a
 
@@ -95,6 +92,7 @@
 
 	dh_installchangelogs -a ChangeLog*
 	dh_installdocs -a
+	dh_installman -a
 	dh_link -a
 	dh_lintian -a
 	dh_strip -a
@@ -114,6 +112,7 @@
 	dh_installcron -i
 	dh_installchangelogs -i ChangeLog*
 	dh_installdocs -i
+	dh_installman -i
 	dh_link -i
 	dh_lintian -i
 	dh_strip -i
